Piwigo Bugtracker

Viewing Issue Advanced Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000077 [Piwigo] navigation feature N/A 2005.02.02 00:48 2006.02.10 02:17
Reporter plg View Status public  
Assigned To rvelices
Priority normal Resolution fixed Platform
Status closed   OS
Projection minor fix   OS Version
ETA none Fixed in Version BSF branch (dev) Product Version 1.5 branch
  Target Version Product Build
Summary 0000077: standard navigation link : HTML Link types
Description HTML DTD provides "Link Types" http://www.w3.org/TR/html4/types.html#type-links [^] enabling browsers to know where is :

- first
- previous
- next
- last
- parent

Useful links :

- [fr] http://lea-linux.org/fiches/internet/fichenavlink.html [^]
- [fr] http://linuxfr.org/~kibos/16981.html [^]
Steps To Reproduce
Additional Information
Tags No tags attached.
browser any
Database engine and version
PHP version
Web server Apache 1.3.x
Attached Files

- Relationships
related to 0000835closedrvelices FireFox double page load on link rel="next" 

-  Notes
(0000588)
rvelices (developer)
2006.01.25 06:13
edited on: 2006.01.25 06:31

I will add next,prev,start,index for anchors (standard w3c) even if no browser implements them (this is the reason why I won't be very strict on it).
In addition I will add the non standard ones that are in use:
<a rel="nofollow" - for search engines - see http://blog.searchenginewatch [^] dot com/blog/050118-204728
<link rel="next prefetch" - for next picture preload in Mozilla only - see http://www.mozilla.org/projects/netlib/Link_Prefetching_FAQ.html [^]

(0000590)
nikrou (developer)
2006.01.28 13:16

links tags are not allowed in the body. You should add thems only in the head tag. So the html code is not correct.
(0000592)
rvelices (developer)
2006.02.01 02:47

moved link for next image source to head
(0000616)
plg (manager)
2006.02.06 22:12

In [Subversion] r1020, I don't see {next,prev,start,index} navigation links moved to HTML HEAD :-/ I won't say this feature was added in build 200602062254.
(0000617)
rvelices (developer)
2006.02.07 00:26
edited on: 2006.02.07 03:01

I added only
<!-- BEGIN next -->
<link rel="prefetch" href="{next.U_IMG_SRC}">
<!-- END next -->
to header.tpl and works with the pictures.

Do you think I should add all of them {next,prev,start,index} ?
I'm not sure anyone is using these.

Also should I add these for category.php in the head element ? (I added rel attribute for anchor tags)

(0000621)
plg (manager)
2006.02.08 08:27

I've installed "Link Toolbar" for Firefox [1] and those standard navigation links become very interesting :-)

Firefox "Link Toolbar" does not need {first,prev,parent,next,last} to be in HTML HEAD, the Firefox extension parses the page searching for links with rel="XXX". It became obvious that {first,parent} are missing.

> Also should I add these for category.php in the
> head element ?

I would be great :-)

[1] http://cdn.mozdev.org/linkToolbar/ [^]
(0000622)
rvelices (developer)
2006.02.08 22:37

The link toolbar installation fails with FF 1.5.0.1, but I found the "cmSiteNavigation Toolbar" [1] which is cool.
I give up implementing the link elements (except prefetch) and I will use only <a rel="...

Last question: for category.php to what first,previous,next,last links should relate ?

A. the navigation bar (First | Previous | 1 2 3 | Next | Last)
or
B. the siblings categories (first brother, previous brother, ....) - this is harder to do.


https://addons.mozilla.org/extensions/moreinfo.php?application=firefox&id=1324 [^]
(0000623)
plg (manager)
2006.02.08 22:56

> Last question: for category.php to what first,previous,next,last
> links should relate ?

I really don't know what would be the best choice. {parent} is easy, we're OK on this point... Maybe you could open a discussion topic on forum to compare what user are expecting from such a feature.
(0000627)
rvelices (developer)
2006.02.10 02:11
edited on: 2006.02.10 02:16

I went for solution A. Corrected in [Subversion] r1031


- Issue History
Date Modified Username Field Change
2005.02.02 00:48 plg New Issue
2005.02.02 00:48 plg browser => any
2005.02.02 00:48 plg Web server => Apache 1.3.x
2006.01.25 00:51 rvelices Status new => assigned
2006.01.25 00:51 rvelices Assigned To => rvelices
2006.01.25 06:06 VDigital Note Added: 0000587
2006.01.25 06:07 VDigital Note Deleted: 0000587
2006.01.25 06:13 rvelices Note Added: 0000588
2006.01.25 06:13 rvelices Note Edited: 0000588
2006.01.25 06:14 rvelices Note Edited: 0000588
2006.01.25 06:31 rvelices Note Edited: 0000588
2006.01.28 13:16 nikrou Note Added: 0000590
2006.02.01 02:47 rvelices Note Added: 0000592
2006.02.06 22:12 plg Note Added: 0000616
2006.02.07 00:26 rvelices Note Added: 0000617
2006.02.07 03:01 rvelices Note Edited: 0000617
2006.02.08 08:27 plg Note Added: 0000621
2006.02.08 22:37 rvelices Note Added: 0000622
2006.02.08 22:56 plg Note Added: 0000623
2006.02.10 02:11 rvelices Note Added: 0000627
2006.02.10 02:16 rvelices Note Edited: 0000627
2006.02.10 02:16 rvelices Note Edited: 0000627
2006.02.10 02:17 rvelices Status assigned => closed
2006.02.10 02:17 rvelices Resolution open => fixed
2006.02.10 02:17 rvelices Projection none => minor fix
2006.02.10 02:17 rvelices Fixed in Version => BSF branch (dev)
2008.07.16 17:23 rvelices Relationship added related to 0000835


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Contact
Powered by Mantis Bugtracker